Improved mod_frontpage Buffer Overflow Vulnerability

Improved mod_frontpage is a module for the Apache webserver that allows for enhanced webserver interaction with the Frontpage client.

Improved mod_frontpage is susceptible to a buffer overflow condition that may allow for remote attackers to compromise the webserver. The bug is reportedly present in the fp_exec.c component and is due to insufficient bounds checking on memory-copy operations.


 

Privacy Statement
Copyright 2010, SecurityFocus